KML2GMT(1)

NAME
kml2gmt - Extract GMT table data from Google Earth KML files

SYNOPSIS
kml2gmt [ infile ] [ -V ] [ -Z ] [ -:[i|o] ] [ -bo[s|S|d|D[ncol]|c[var1/...]] ]

DESCRIPTION
kml2gmt reads a Google Earth KML file and outputs a GMT table file. Only KML files that contain points, lines, or polygons can be processed. This is a bare-bones operation that aims to extract coordinates and possibly the name and description tags of each feature. The main use intended is to capture coordinates modified in Google Earth and then reinsert the modified data into the original GMT data file. For a more complete reformatting, consider using ogr2ogr -f "GMT" somefile.gmt somefile.kml.

infile
    Name of the KML file to work on. If not given, standard input is read.

OPTIONS
No space between the option flag and the associated arguments.

-Z  Output the altitude coordinates as GMT z coordinates [Default will output just longitude and latitude].

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-:  Toggles between (longitude,latitude) and (latitude,longitude) input and/or output. [Default is (longitude,latitude)]. Append i to select input only or o to select output only. [Default affects both].

-bo Selects binary output. Append s for single precision [Default is d (double)]. Uppercase S or D will force byte-swapping. Optionally, append ncol, the number of desired columns in your binary output file.

EXAMPLES

SEE ALSO
gmtdefaults(1), GMT(1), img2google(1), ps2raster(1) gmt2kml(1)